## visad.data.dods
Class VectorAdapterFactory

    java.lang.Object
      visad.data.dods.VectorAdapterFactory

public class VectorAdapterFactory
extends Object

Provides support for creating adapters that bridge between DODS primitive vectors and the VisAD data-import context.

Instances are immutable.

Constructor Summary
`protected` `VectorAdapterFactory()` Constructs from nothing.

Method Summary
`BaseTypeVectorAdapter` `baseTypeVectorAdapter(BaseTypePrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `BaseTypePrimitiveVector`.
`BooleanVectorAdapter` `booleanVectorAdapter(BooleanPrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `BooleanPrimitiveVector`.
`ByteVectorAdapter` `byteVectorAdapter(BytePrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `BytePrimitiveVector`.
`Float32VectorAdapter` `float32VectorAdapter(Float32PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `Float32PrimitiveVector`.
`Float64VectorAdapter` `float64VectorAdapter(Float64PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `Float64PrimitiveVector`.
`Int16VectorAdapter` `int16VectorAdapter(Int16PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `Int16PrimitiveVector`.
`Int32VectorAdapter` `int32VectorAdapter(Int32PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `Int32PrimitiveVector`.
`UInt16VectorAdapter` `uInt16VectorAdapter(UInt16PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `UInt16PrimitiveVector`.
`UInt32VectorAdapter` `uInt32VectorAdapter(UInt32PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS `UInt32PrimitiveVector`.
`VectorAdapter` `vectorAdapter(PrimitiveVector vector, DAS das, VariableAdapterFactory factory)` Returns the adapter corresponding to a DODS primitive vector.
`static VectorAdapterFactory` `vectorAdapterFactory()` Returns an instance of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorAdapterFactory

    protected VectorAdapterFactory()

  Constructs from nothing.

Method Detail

### vectorAdapterFactory

    public static VectorAdapterFactory vectorAdapterFactory()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### vectorAdapter

    public VectorAdapter vectorAdapter(PrimitiveVector vector,
                                       DAS das,
                                       VariableAdapterFactory factory)
                                throws VisADException,
                                       RemoteException

  Returns the adapter corresponding to a DODS primitive vector.

  Parameters:
    `vector` - A DODS primitive vector.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### booleanVectorAdapter

    public BooleanVectorAdapter booleanVectorAdapter(BooleanPrimitiveVector vector,
                                                     DAS das,
                                                     VariableAdapterFactory factory)
                                              throws VisADException,
                                                     RemoteException

  Returns the adapter corresponding to a DODS `BooleanPrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### byteVectorAdapter

    public ByteVectorAdapter byteVectorAdapter(BytePrimitiveVector vector,
                                               DAS das,
                                               VariableAdapterFactory factory)
                                        throws VisADException,
                                               RemoteException

  Returns the adapter corresponding to a DODS `BytePrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### uInt16VectorAdapter

    public UInt16VectorAdapter uInt16VectorAdapter(UInt16PrimitiveVector vector,
                                                   DAS das,
                                                   VariableAdapterFactory factory)
                                            throws VisADException,
                                                   RemoteException

  Returns the adapter corresponding to a DODS `UInt16PrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### int16VectorAdapter

    public Int16VectorAdapter int16VectorAdapter(Int16PrimitiveVector vector,
                                                 DAS das,
                                                 VariableAdapterFactory factory)
                                          throws VisADException,
                                                 RemoteException

  Returns the adapter corresponding to a DODS `Int16PrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### uInt32VectorAdapter

    public UInt32VectorAdapter uInt32VectorAdapter(UInt32PrimitiveVector vector,
                                                   DAS das,
                                                   VariableAdapterFactory factory)
                                            throws VisADException,
                                                   RemoteException

  Returns the adapter corresponding to a DODS `UInt32PrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### int32VectorAdapter

    public Int32VectorAdapter int32VectorAdapter(Int32PrimitiveVector vector,
                                                 DAS das,
                                                 VariableAdapterFactory factory)
                                          throws VisADException,
                                                 RemoteException

  Returns the adapter corresponding to a DODS `Int32PrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### float32VectorAdapter

    public Float32VectorAdapter float32VectorAdapter(Float32PrimitiveVector vector,
                                                     DAS das,
                                                     VariableAdapterFactory factory)
                                              throws VisADException,
                                                     RemoteException

  Returns the adapter corresponding to a DODS `Float32PrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### float64VectorAdapter

    public Float64VectorAdapter float64VectorAdapter(Float64PrimitiveVector vector,
                                                     DAS das,
                                                     VariableAdapterFactory factory)
                                              throws VisADException,
                                                     RemoteException

  Returns the adapter corresponding to a DODS `Float64PrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.

### baseTypeVectorAdapter

    public BaseTypeVectorAdapter baseTypeVectorAdapter(BaseTypePrimitiveVector vector,
                                                       DAS das,
                                                       VariableAdapterFactory factory)
                                                throws VisADException,
                                                       RemoteException

  Returns the adapter corresponding to a DODS `BaseTypePrimitiveVector`.

  Parameters:
    `vector` - A DODS primitive vector of the appropriate type.
    `das` - The DODS DAS in which the attribute table for the DODS vector is embedded.
    `factory` - A factory for creating adapters of DODS variables.
  Returns:
    The adapter corresponding to the DODS primitive vector.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.